%define buildgnomeprint 1
%define pygtk 2.4.0
%define gnomepython 2.10.0
%define oname gnome-python

Summary: GNOME Desktop bindings for Python
Name: gnome-python-desktop
Version: 2.22.0
Release: %mkrel 1
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%name-%{version}.tar.bz2
URL: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-python-desktop/
License: LGPL
Group: Development/GNOME and GTK+
BuildRoot: %{_tmppath}/%name-root
BuildRequires: pygtk2.0-devel >= %pygtk
BuildRequires: gnome-python-devel >= %gnomepython
BuildRequires: python-devel >= 2.2
BuildRequires: libgnomeui2-devel >= 2.0.0
BuildRequires: gtksourceview1-devel >= 1.1.0
BuildRequires: libpanel-applet-devel >= 2.13
BuildRequires: evolution-data-server-devel
BuildRequires: libwnck-devel >= 2.15.5
BuildRequires: librsvg-devel
BuildRequires: gnome-keyring-devel >= 0.5.0
BuildRequires: gnome-desktop-devel
BuildRequires: libgcrypt-devel
BuildRequires: bug-buddy
Requires: gnome-python >= %gnomepython
Conflicts: gnome-python-extras < 2.13.3


%description
The gnome-python-desktop package contains the Python bindings for the
GNOME Desktop modules.

%package -n %oname-applet
Version: %{version}
Summary: Python bindings for GNOME Panel applets
Group: Development/GNOME and GTK+
Requires: %name = %version

%description -n %oname-applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.

%package -n %oname-evolution
Version: %{version}
Summary: Python bindings for Evolution
Group: Development/GNOME and GTK+
Requires: %name = %version

%description -n %oname-evolution
This module contains a wrapper that allows Evolution extensions to be
written in Python.


%package -n %oname-gtksourceview
Version: %{version}
Summary: Python bindings for Gtksourceview
Group: Development/GNOME and GTK+
Requires: %oname-gnomeprint = %version

%description -n %oname-gtksourceview
This module contains a wrapper that makes Gtksourceview available from Python.

%package -n %oname-gtop
Version: %{version}
Summary: Python bindings for Gtop
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: libgtop2.0-devel >= 2.13

%description -n %oname-gtop
This module contains a wrapper that makes Gtop available from Python.

%package -n %oname-nautilus-burn
Version: %{version}
Summary: Python bindings for Nautilus-burn
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: libnautilus-burn-devel >= 2.15.3

%description -n %oname-nautilus-burn
This module contains a wrapper that makes Nautilus-burn available from Python.

%package -n %oname-totem
Version: %{version}
Summary: Python bindings for the Totem playlist parser
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: libtotem-plparser-devel

%description -n %oname-totem
This module contains a wrapper that makes the Totem playlist parser
available from Python.

%package -n %oname-mediaprofiles
Version: %{version}
Summary: Python bindings for the GNOME media profiles
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: libcddb-slave2-devel

%description -n %oname-mediaprofiles
This module contains a wrapper that makes the GNOME media profiles library
available from Python.

%package -n %oname-metacity
Version: %{version}
Summary: Python bindings for the Metacity window manager
Group: Development/GNOME and GTK+
Requires: %name = %version
BuildRequires: libmetacity-private-devel >= 2.17.8

%description -n %oname-metacity
This module contains a wrapper that makes the Metacity window manager library
available from Python.

%if %{buildgnomeprint}
%package -n %oname-gnomeprint
Summary: Python bindings for interacting with gnomeprint and gnomeprintui
Group: Development/GNOME and GTK+
BuildRequires: libgnomeprintui-devel >= 2.8.0

%description -n %oname-gnomeprint
This module contains a wrapper that allows the use of gnomeprint and
gnomeprintui via python.
%endif

%prep
%setup -q

%build
%configure2_5x --enable-metacity

%make

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

%clean
rm -rf %buildroot

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%doc examples/rsvg examples/keyring*
%defattr(755,root,root,755)
%dir %{_datadir}/pygtk/2.0/defs
%{_datadir}/pygtk/2.0/defs/*.defs
%_libdir/pkgconfig/%name-2.0.pc
%py_platsitedir/gtk-2.0/wnck.so
%py_platsitedir/gtk-2.0/rsvg.so
%py_platsitedir/gtk-2.0/gnomekeyring.so
%py_platsitedir/gtk-2.0/bugbuddy* 

%files -n %oname-applet
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/gnome/applet.py*
%py_platsitedir/gtk-2.0/gnomeapplet.so
%py_platsitedir/gtk-2.0/gnomedesktop/
%doc examples/applet/

%files -n %oname-evolution
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/evolution

%files -n %oname-gtksourceview
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/gtksourceview.so
%doc examples/gtksourceview
%doc %_datadir/gtk-doc/html/pygtksourceview

%files -n %oname-gtop
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/gtop.so

%files -n %oname-nautilus-burn
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/nautilusburn.so
%doc examples/nautilusburn

%files -n %oname-totem
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/totem/

%files -n %oname-mediaprofiles
%defattr(755,root,root,755)
%_libdir/python%pyver/site-packages/gtk-2.0/mediaprofiles.so
%doc examples/mediaprofiles

%files -n %oname-metacity
%defattr(755,root,root,755)
%_libdir/python%pyver/site-packages/gtk-2.0/metacity.so

%if %{buildgnomeprint}
%files -n %oname-gnomeprint
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/gnomeprint/
%doc examples/gnomeprint/
%_datadir/gtk-doc/html/pygnomeprint*
%endif




%changelog
* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183055
- new version

* Sun Feb 24 2008 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 174268
- new version

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 151944
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 120730
- new version
- add evolution binding
- fix buildrequires

* Thu Nov 01 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-2mdv2008.1
+ Revision: 104377
- rebuild for new totem

* Sun Sep 16 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 88471
- new version

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2008.0
+ Revision: 56911
- fix buildrequires
- new version
- fix buildrequires

* Sat Jul 07 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2008.0
+ Revision: 49451
- new version
- drop patch

* Wed Jun 20 2007 Adam Williamson <awilliamson@mandriva.com> 2.18.0-2mdv2008.0
+ Revision: 41708
- needs gtksourceview 1 not 2
- add patch0 (from FreeBSD, fixes build against metacity 2.19)
- rebuild for new libwnck


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142017
- new version

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.17.93-1mdv2007.1
+ Revision: 126674
- new version
- drop the patch
- fix build

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-2mdv2007.1
+ Revision: 126481
- fix patch
- patch to support latest metacity
- reenable metacity
- new version
- drop patch
- disable metacity module for now
- fix build with new totem

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 106025
- new version

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 105441
- arrgh, bug-buddy module
- new version
- add gnucash module

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 87808
- new version
- bump deps
- mkrel
- Import gnome-python-desktop

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New version 2.16.0

* Sat Aug 05 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1mdv2007.0
- rebuild for new dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1mdv2007.0
- bump deps
- New release 2.15.90

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- New release 2.15.4

* Thu Jun 22 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-2mdv2007.0
- add gnome-keyring module

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- bump deps
- New release 2.15.3

* Mon Jun 12 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-2mdv2007.0
- fix buildrequires

* Wed Jun 07 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-1mdv2007.0
- add gnomedesktop module
- New release 2.15.2
- add rsvg plugin

* Wed Apr 19 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-2mdk
- Rebuild

* Sun Apr 16 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- initial package split from gnome-python-extras

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 2.13.2-0.1gpw
- add metacity plugin

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 2.13.2-0.1gpw
- New release 2.13.2

* Mon Jan 02 2006 Götz Waschk <waschk@mandriva.org> 2.13.1-0.1gpw
- New release 2.13.1

* Thu Dec 29 2005 Götz Waschk <waschk@mandriva.org> 2.13.0-0.3gpw
- add gksu support
- fix buildrequires

* Mon Dec 19 2005 Götz Waschk <waschk@mandriva.org> 2.13.0-0.2gpw
- fix gtksourceview deps (bug 18777)

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 2.13.0-0.1gpw
- disable gda
- New release 2.13.0

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 2.12.1-2mdk
- rebuild for new openssl

* Mon Oct 31 2005 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdk
- New release 2.12.1

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- New release 2.12.0
- add mediaprofiles package
- update file list
- requires new nautilus-burn
- regenerate configure
- rediff the patch
- enable gdl wrapper
- add pygda

* Mon May 30 2005 Götz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- rediff patches
- New release 2.10.2

* Wed May 18 2005 Götz Waschk <waschk@mandriva.org> 2.10.1-2mdk
- add gdl bindings
- patch for gcc4

* Sun Apr 24 2005 Götz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- initial mdk version

* Tue Apr 12 2005 Götz Waschk <waschk@linux-mandrake.com> 2.10.1-0.1gpw
- patch configure, regeneration didn't work
- fix build
- New release 2.10.1

* Tue Mar 08 2005 Götz Waschk <waschk@linux-mandrake.com> 2.10.0-0.1gpw
- bump deps
- fix build for firefox
- New release 2.10.0

* Wed Feb 16 2005 Götz Waschk <waschk@linux-mandrake.com> 2.9.4-0.1gpw
- New release 2.9.4

* Wed Jan 26 2005 Götz Waschk <waschk@linux-mandrake.com> 2.9.3-0.2gpw
- add bindings for gtop, nautilus-burn and totem-plparser
- New release 2.9.3

* Sat Jan 08 2005 Götz Waschk <waschk@linux-mandrake.com> 2.9.2-0.2gpw
- rebuild for new howl

* Mon Jan 03 2005 Götz Waschk <waschk@linux-mandrake.com> 2.9.2-0.1gpw
- add mozembed and gtkspell modules
- New release 2.9.2

* Mon Dec 06 2004 Götz Waschk <waschk@linux-mandrake.com> 2.9.1-0.2gpw
- rebuild for new python

* Tue Nov 30 2004 Götz Waschk <waschk@linux-mandrake.com> 2.9.1-0.1gpw
- update file list

* Tue Nov 30 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.9.1-1mdk
- New release 2.9.1

* Mon Nov 22 2004 Götz Waschk <waschk@linux-mandrake.com> 2.9.0-0.1gpw
- initial package

